Bug 127388 - tree model play can cause corruption and SEGV
tree model play can cause corruption and SEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 11:54 EDT by Zack Cerza
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 15:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
two backtraces from gdb (728 bytes, application/gzip)
2004-07-07 16:43 EDT, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2004-07-07 11:54:21 EDT
Description of problem:
Unexpected feature: gconf-editor has the ability to corrupt its own
tree model.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always

Steps to Reproduce:
1. Open gconf-editor.
2. Expand the /desktop/gnome node.
3. Collapse the /desktop node.
4. Expand the /desktop node. Notice that most of the nodes disappear.
5. Collapse the /desktop node.
6. Expand the /desktop node. Segfault.

  
Actual results:
Segfault.

Expected results:
Normal operation.

Additional info:
There seem to be variants of this bug. I'll do more testing and report
others as necessary.
Comment 1 Zack Cerza 2004-07-07 16:43:11 EDT
Created attachment 101692 [details]
two backtraces from gdb
Comment 2 Zack Cerza 2004-07-12 15:56:55 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=147443

Note You need to log in before you can comment on or make changes to this bug.